where:
  parameter_names_with_default_values:
    DTYPE: float
  generate_variant_forall:
    STORAGE:
      - VALUE: texture3d
      - VALUE: buffer
    DTYPE:
      - VALUE: half
      - VALUE: float
  shader_variants:
    - NAME: where
